gnutls_certificate_server_set_request(3)

NAME
gnutls_certificate_server_set_request - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_certificate_server_set_request(gnutls_session_t session, gnutls_certificate_request_t req);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_certificate_request_t req
    is one of GNUTLS_CERT_REQUEST, GNUTLS_CERT_REQUIRE, GNUTLS_CERT_IGNORE

DESCRIPTION
This function specifies if we (in case of a server) are going to send a certificate request message to the client. If req is GNUTLS_CERT_REQUIRE then the server will return the GNUTLS_E_NO_CERTIFICATE_FOUND error if the peer does not provide a certificate. If you do not call this function then the client will not be asked to send a certificate. Invoking the function with req GNUTLS_CERT_IGNORE has the same effect.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/